{% extends "base.html" %}

{% block title %} {{title}} {% endblock %}
{% block titleHeader %} New metadata table {% endblock %}
{% block titleSubHeader %} {% endblock %}

{% block content %}
<div class="container">
    {% if message %}
    <div class="alert alert-danger" role="alert">
        <p>{{ message }}</p>
        <p>Login In : <a class="alert-link" href="{% url 'login'%}">here</a>.</p>
    </div>
    {% else %}
        <p>
            <a href="{% url 'project_detail' id_project=id_project %}" class="btn btn-primary">
                <i class="fas fa-chevron-circle-left"></i> Project detail
            </a>
        </p>
        <h1>Create new metadata</h1>

        {% if db_list %}
        <form method="POST">
            {% csrf_token %}

            <p><b>1- Select a database</b></p>

            <select class="form-select" aria-label="multiple select example" name="select_database_metadata">
                {% for db in db_list %}
                    <option {% if forloop.first %} selected {% endif %} value="{{db.id}}">{{db.name}}</option>
                {% endfor %}
            </select>

            <div class="d-grid gap-2 d-md-flex justify-content-md-end mt-3">
                <a class="btn btn-danger" href="{% url 'project_detail' id_project=id_project %}" type="submit">Cancel</a>
                <button class="btn btn-primary" type="submit" name="validate_db">Next</button>
            </div>
        </form>
        {% endif %}

        {% if db_selected %}
            Database selected : {{ db_selected.name }}
            <p><b>2- Select a checklist</b></p>
            <table id="checklistTable" class="display" style="width:100%">
                <thead>
                <tr>
                    <th>Id</th>
                    <th>Original_id</th>
                    <th>Name</th>
                    <th>Version</th>
                    <th>Description</th>
                </tr>
                </thead>
            </table>


            <form method="POST">
                {% csrf_token %}
                <input id="checklist_Id" name="checklist_Id" type="hidden" >

                <p><b>3- Write a short description</b></p>
                <div class="form-floating mb-2">
                  <textarea class="form-control" placeholder="Leave a comment here" id="floatingTextarea" name="short_descrip"></textarea>
                  <label for="floatingTextarea">Your short description</label>
                </div>

                <div class="d-grid gap-2 d-md-flex justify-content-md-end mt-3">
                    <a class="btn btn-danger" href="{% url 'project_detail' id_project=id_project %}" type="submit">Cancel</a>
                    <button id="add_checklist" class="btn btn-primary" disabled
                            type="submit" name="validate_checklist">Create metadata table
                    </button>
                </div>
            </form>


        {% endif %}

    <script>
        {% if db_selected %}
            /* ####################################################################
            DATATABLE
            #################################################################### */

            var DT_table = $('#checklistTable').DataTable( {
                "order": [[ 0, "desc" ]],
                "ajax":{
                    "processing": true,
                    "dataSrc": "",
                    "url": "{% url 'request_asJson_checklist' id_database=db_selected.id %}"
                },
                "columns": [
                    { "data": "id", "visible": false},
                    { "data": "original_id"},
                    { "data": "name"},
                    { "data": "version"},
                    { "data": "description"}
                ]
            } );


            $('#checklistTable tbody').on( 'click', 'tr', function () {
                if ( $(this).hasClass('selected') ) {
                    $(this).removeClass('selected');
                    document.getElementById("checklist_Id").value = "";
                    $("#add_checklist").prop("disabled", true);
                }
                else {
                    DT_table.$('tr.selected').removeClass('selected');
                    $(this).addClass('selected');
                    document.getElementById("checklist_Id").value = DT_table.row('.selected').data().id;
                    $("#add_checklist").prop("disabled", false );
                }
            } );


        {% endif %}
    </script>

    {% endif %}
</div>
{% endblock %}



